/*
 * mppt_control.h
 *
 *  Created on: 2024Äê6ÔÂ29ÈÕ
 *      Author: psx
 */

#ifndef APP_INC_MPPT_CONTROL_H_
#define APP_INC_MPPT_CONTROL_H_

#include "debug.h"
#include <math.h>

extern float g_duty_ratio;

void mppt_readJust(void);
void MpptMode(void);
void mppt_constantVoltage(float InVoltage);
void test(void);
void printf_data(void);
float_t get_capturedata(float_t (*fun)(void));
uint16_t get_mpptMode(void);

#endif /* APP_INC_MPPT_CONTROL_H_ */
